#!/usr/bin/perl
use Mojo::Base '-strict';
use Mojo::ByteStream 'b';
use Mojo::Collection 'c';
use Mojo::File 'path';
use Mojo::Loader 'data_section';
use DDP;

*_f = \&CORE::sprintf;

my $h = {};
my $dir = '/home/martin/test/maps/napoli/elenco_decumano/';
my $lines1 = c(path($dir, 'top-2020-05-19.tab')->open('<')->getlines);
my $lines2 = c(path($dir, 'top-2020-06-03.tab')->open('<')->getlines);
#$lines1->each( sub {
#  chomp;
#  my ($id) = ($_ =~ /^([^\|]+)/);
#  $h->{$id} = $_;
#  });
#$lines2->each( sub {
#  chomp;
#  my ($id) = ($_ =~ /^([^\|]+)/);
#  if (! $h->{$id} || $h->{$id} ne $_) {
#    say $h->{$id} || '---';
#    say "$_\n";
#    };
#  });
$lines2->each( sub {
  chomp;
  my ($id) = ($_ =~ /^([^\|]+)/);
  $h->{$id} = $_;
  });
$lines1->each( sub {
  chomp;
  my ($id) = ($_ =~ /^([^\|]+)/);
  if (! $h->{$id} || $h->{$id} ne $_) {
    say $h->{$id} || '---';
    say "$_\n";
    };
  });
