#!/usr/bin/perl
use Mojo::Base '-strict';
use Mojo::ByteStream 'b';
use Mojo::Collection 'c';
use Mojo::File 'path';
use Mojo::Loader 'data_section';
use DDP;

*_f = \&CORE::sprintf;

my $dir = '/home/martin/test/maps/napoli/elenco_decumano/';
my $lines1 = c(path($dir, 'top-2020-06-03.tab')->open('<')->getlines);
my $res = $lines1->map( sub {
  $_ =~ s/^(\d+)([a-z]?)\|(?=chiesa|cappella|monastero|convento|conservatorio|ospizio|oratorio|collegio|educandato)/_f("$1$2\|na_er_%04d%s\|", $1, $2)/e;
  $_ =~ s/^(\d+)([a-z]?)\|(?=palazzo|casa|banco|pubblico|militare|sedile|ospedale|porta)/_f("$1$2\|na_ec_%04d%s\|", $1, $2)/e;
  $_ =~ s/^(\d+)([a-z]?)\|(?=via|vico|vicolo|strada|largo|piazza|fontana|antico|monumento|locale|salita|rampa)/_f("$1$2\|na_urb_%04d%s\|", $1, $2)/e;
  $_;
  })->join('');
say $res;
